cURL
curl --request POST \
--url https://api.contiguity.com/send/imessage/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "+1234567890",
"from": "+15555555555",
"action": "add",
"tapback": "love",
"message": "Hello there!"
}
'import requests
url = "https://api.contiguity.com/send/imessage/reactions"
payload = {
"to": "+1234567890",
"from": "+15555555555",
"action": "add",
"tapback": "love",
"message": "Hello there!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '+1234567890',
from: '+15555555555',
action: 'add',
tapback: 'love',
message: 'Hello there!'
})
};
fetch('https://api.contiguity.com/send/imessage/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "response",
"data": {
"status": "added",
"message": "Reaction added to +1234567890 from +15555555555"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}iMessage
Add or Remove Reactions
Add or remove a reaction to an iMessage
POST
/
imessage
/
reactions
cURL
Technically, iCloud emails are supported… but their behavior is unpredictable.

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Recipient's iMessage address. Must be in E.164 format.
Example:
"+1234567890"
Your leased iMessage number that has been used to send messages to the recipient. Must be in E.164 format.
Example:
"+15555555555"
Whether to add or remove a reaction
Available options:
add, remove Example:
"add"
The type of tapback reaction
Available options:
love, like, dislike, laugh, emphasize, question Example:
"love"
The full content of the message to react to – Contiguity will find the latest message that matches.
Example:
"Hello there!"
Was this page helpful?
⌘I